Skip to content
Proud to collaborate with Microsoft for Startups

neon.data_apis.get ​

Fetch Neon Data API status and configuration

Fetch the Neon Data API status and configuration for a branch database.

Issues GET /projects/{neon_project_id}/branches/{neon_branch_id}/data-api/{db_name}.

Inputs:

  • neon_project_id: Neon project ID (required).
  • neon_branch_id: Neon branch ID (required).
  • db_name: Database name (required).

Outputs (terminal state_data):

  • data_api_url: str — REST base URL
  • status: str — e.g. active
  • settings: dict — current Data API settings
  • available_schemas: list — schemas that can be exposed
  • provider_metadata: dict — full Neon response body

Error policy:

  • HTTP 404 → WorkflowNotRetryableError (Data API not enabled).
  • other 4xx → WorkflowNotRetryableError.
  • 5xx / timeouts → propagate so the engine retries.

Plugin required: context.get_plugin("neon") must expose .api_token.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-neon
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
connection_uuiduuidYes—Cloud connection holding the Neon credential
neon_project_idstringYes—Neon project ID
neon_branch_idstringYes—Neon branch ID
db_namestringYes—Database name whose Data API to inspect

Output Schema ​

FieldTypeRequiredDefaultDescription
connection_uuiduuidNo——
neon_project_idstringNo——
neon_branch_idstringNo——
db_namestringNo——
data_api_urlstringNo——
statusstringNo——
settingsjsonNo——
available_schemaslistNo——
provider_metadatajsonNo——
failure_reasonstringNo——
failure_typestringNo——
failed_actionstringNo——
failed_at_statestringNo——
failed_stepstringNo——
failed_layerstringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—execute—
completedNoYesYes——
failedNoYesNo——

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompleted—
* (any state)failfailed—

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "neon.data_apis.get",
  "initial_data": {
    "connection_uuid": "value",
    "neon_project_id": "value",
    "neon_branch_id": "value",
    "db_name": "value"
  }
}